﻿using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

namespace GrapeCity.ActiveReports.Samples.SubReport
{
    /// <summary>
    /// Summary description for OrdersReport.
    /// </summary>
    public partial class OrdersReport : GrapeCity.ActiveReports.SectionReport
    {
        OrdersReportSub _rpt;
        string _orderID;

        public OrdersReport()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        private void detail_Format(object sender, EventArgs e)
        {
            Data.OleDBDataSource subDS = new Data.OleDBDataSource();
            subDS.ConnectionString = ((Data.OleDBDataSource)(DataSource)).ConnectionString;
            subDS.SQL = "SELECT * FROM [Order Details] WHERE OrderID = " + _orderID;
            _rpt.DataSource = subDS;
            subReport1.Report = _rpt;
        }

        private void OrdersReport_ReportStart(object sender, EventArgs e)
        {
            _rpt = new OrdersReportSub();
            Data.OleDBDataSource dS = new Data.OleDBDataSource();
            dS.ConnectionString = Properties.Resources.ConnectionString;
            dS.SQL = "Select * from Orders";
            DataSource = dS;
            reportInfo1.FormatString = "Page {PageNumber} of {PageCount}";
        }

        private void OrdersReport_FetchData(object sender, FetchEventArgs eArgs)
        {
            _orderID = Fields["OrderID"].Value.ToString();
        }
    }
}
