using System;
using System.Windows.Forms;
using System.Data;
using System.Data.OleDb;
using GrapeCity.ActiveReports.Export.Pdf.Section;
using System.Diagnostics;

namespace GrapeCity.ActiveReports.Samples.SubReport
{
    /// <summary>
    /// A description of the overview of the ViewerForm.
    /// 
    /// </summary>
    public partial class ViewerForm : System.Windows.Forms.Form
    {
        public ViewerForm()
        {
            //Required for Windows Form Designer support.
            InitializeComponent();
            //TODO: after the call to InitializeComponent, please add the constructor code.
        }
        /// <summary>
        /// The main entry point for the application.
        /// 
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new ViewerForm());
        }
        private void ViewerForm_Load(object sender, EventArgs e)
        {
            cboReport.Items.Add("Select a Sample Report from DropDown List");
            cboReport.Items.Add("Orders Report");           
            cboReport.SelectedIndex = 1;
        }
        private void cboReport_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                // Change the cursor
                Cursor = Cursors.WaitCursor;
                Application.DoEvents();
                switch (((ComboBox)sender).SelectedIndex)
                {
                    case 1: // Simple sub-report 
                        RunReport_Simple();
                        break;                    
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
            finally
            {
                //Cursor back to the original
                Cursor = Cursors.Default;
                Application.DoEvents();
            }
        }
        private void RunReport_Simple()
        {
            // ***** Simple sub-report *****            
            OrdersReport rpt = new OrdersReport();
            arvMain.LoadDocument(rpt);
        }       
        private void button1_Click(object sender, EventArgs e)
        {
            PdfExport pdfExport = new PdfExport();
            pdfExport.Export(arvMain.Document, @"E:\AReportTest.pdf");

            
        }
    }
}
